package org.schabi.newpipe.database.playlist;

import android.arch.persistence.room.ColumnInfo;
import android.arch.persistence.room.Entity;
import android.arch.persistence.room.Ignore;
import android.arch.persistence.room.PrimaryKey;

import static org.schabi.newpipe.database.playlist.PlaylistEntity.PLAYLIST_TABLE;

@Entity(tableName = PLAYLIST_TABLE)
public class PlaylistEntity {

    final static String PLAYLIST_TABLE =            "playlists";
    final static String PLAYLIST_URL =              "url";
    final static String PLAYLIST_TITLE =            "title";
    final static String PLAYLIST_THUMBNAIL_URL =    "thumbnail_url";

    @PrimaryKey(autoGenerate = true)
    private long uid = 0;

    @ColumnInfo(name = PLAYLIST_TITLE)
    private String title;

    /* This is used as a reference to the source, should this playlist be dynamic */
    @ColumnInfo(name = PLAYLIST_URL)
    private String url;

    @ColumnInfo(name = PLAYLIST_THUMBNAIL_URL)
    private String thumbnailUrl;

    public long getUid() {
        return uid;
    }

    /* Keep this package-private since UID should always be auto generated by Room impl */
    void setUid(long uid) {
        this.uid = uid;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getThumbnailUrl() {
        return thumbnailUrl;
    }

    public void setThumbnailUrl(String thumbnailUrl) {
        this.thumbnailUrl = thumbnailUrl;
    }

    @Ignore
    public void setData(final String title,
                        final String thumbnailUrl) {
        this.setTitle(title);
        this.setThumbnailUrl(thumbnailUrl);
    }
}
